## datalad-next 1.5.0

=== Makefile ===
PYTHON ?= python

clean:
	$(PYTHON) setup.py clean
	rm -rf dist build bin docs/build docs/source/generated *.egg-info
	-find . -name '*.pyc' -delete
	-find . -name '__pycache__' -type d -delete

release-pypi:
	# avoid upload of stale builds
	test ! -e dist
	$(PYTHON) setup.py sdist bdist_wheel
	twine upload dist/*

update-buildsupport:
	git subtree pull \
		-m "Update DataLad build helper" \
		--squash \
		--prefix _datalad_buildsupport \
		https://github.com/datalad/datalad-buildsupport.git \
		main

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = python -m sphinx
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
#ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
#$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
#endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/* source/generated source/_extras/schema.json

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_next.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_next.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_next"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_next"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## datalad-next 1.2.0

=== debian/changelog ===
datalad-next (1.2.0-1) unstable; urgency=medium

  * New upstream version with mostly bug fixes, including:
    - a more robust test for subprocess execution
      (Closes: #1061739)

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 02 Feb 2024 14:47:44 +0100

datalad-next (1.1.0-6) unstable; urgency=medium

  * Mark all autopkgtests as skip-not-installable. Although only affecting
    armel and armhf, an architecture constraint is not used, because the test
    dependencies are not a superset of the build-dependencies.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 29 Jan 2024 08:17:30 +0100

datalad-next (1.1.0-5) unstable; urgency=medium

  * Add missing dependency on 'python3-all' to autopkgtest setup for testing
    datalad-core patch compatibility.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 28 Jan 2024 12:13:53 +0100

datalad-next (1.1.0-4) unstable; urgency=medium

  * Add missing dependency on 'python3-all' to autopkgtest setup for testing
    all supported Python version with nonetwork-testsuite autopkgtest.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 26 Jan 2024 08:14:03 +0100

datalad-next (1.1.0-3) unstable; urgency=medium

  * Add missing dependency on 'unzip' to autopkgtest setup.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 25 Jan 2024 18:12:27 +0100

datalad-next (1.1.0-2) unstable; urgency=medium

  * Add missing dependency on 'psutil' to autopkgtest setup.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 24 Jan 2024 08:36:42 +0100

datalad-next (1.1.0-1) unstable; urgency=medium

  * New upstream version
    - Requires new (build) dependencies (Python packages psutil and
      more-itertools), and the unzip package for tests only.
  * Set Git identity for autopkgtest. This avoid warnings that let the
    test fail.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 21 Jan 2024 09:21:12 +0100

datalad-next (1.0.2-1) unstable; urgency=medium

  * Initial upload (Closes: #1032226)

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 25 Oct 2023 14:59:23 +0000

=== debian/control ===
Source: datalad-next
Priority: optional
Section: science
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@oneukrainian.com>,
 Vasyl Gello <vasek.gello@gmail.com>,
 Michael Hanke <michael.hanke@gmail.com>
Build-Depends:
# Build
 debhelper (>= 10),
 dh-python,
 dh-sequence-python3,
 datalad (>= 0.18.4~),
 python3-all,
 python3-annexremote,
 python3-humanize,
 python3-more-itertools,
 python3-psutil,
 python3-requests,
 python3-requests-toolbelt,
 python3-setuptools,
# Testing
 python3-webdavclient <!nocheck>,
 python3-pytest <!nocheck>,
 unzip,
# Docs
 dh-sequence-sphinxdoc,
 python3-sphinx-rtd-theme
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/datalad-next
Vcs-Git: https://salsa.debian.org/python-team/packages/datalad-next.git -b debian/sid
Homepage: https://datalad-next.rtfd.org
X-Python3-Version: >= 3.8

Package: python3-datalad-next
Architecture: all
Depends:
 python3-requests,
 python3-requests-toolbelt,
 ${misc:Depends},
 ${python3:Depends}
Description: DataLad extension for new features and improved user experience
 This extension provides feature additions and updates for DataLad
 (http://datalad.org). Unlike other more topical extensions, the provided
 functionality is broadly applicable, and each individual components is
 a candidate for migration into the DataLad core package. This includes
 new commands that become available through DataLad when this package is
 installed, but also runtime-modifications of other DataLad functionality
 that are enabled when the extension is loaded (see 'datalad.extensions.load'
 configuration switch). Examples are:
 .
  - credential management system, and better integration with commands
  - support for dataset deposit/retrieval via WebDAV
  - support for git-annex-export in DataLad's push command
  - performance boosts for individual commands and IO throughput
  - additional git-annex special remotes for leaner archive access and
    dynamic, identifier-based access URL composition -- accessible
    via a dedicated 'download' command
  - Git remote helper to fetch/push from/to any place accessible via a
    git-annex special remote
 .
 This package contains the Python module and the documentation.

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+dfsg, \
      compression=gz, \
      dversionmangle=auto" \
https://github.com/datalad/datalad-next \
refs/tags/@ANY_VERSION@ \
debian

## datalad-next 1.4.1

=== debian/changelog ===
datalad-next (1.4.1-1ubuntu2) oracular; urgency=medium

  * d/t/control: add Depends: @builddeps@ for a test

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 06 Sep 2024 13:31:47 -0400

datalad-next (1.4.1-1ubuntu1) oracular; urgency=medium

  * d/control: Build-Depends: python3-boto3 (LP: #2079776)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 05 Sep 2024 22:48:41 -0400

datalad-next (1.4.1-1) unstable; urgency=medium

  [ Michael Hanke ]
  * New upstream version 1.4.1.
  * Drop all patches, merged upstream.

  [ Vasyl Gello ]
  * d/watch: Drop unnecessary repack
  * d/control: Add commas after build-dep lines so that adding new
    build-deps does not require additional rebuilds due to missing commas.

 -- Michael Hanke <mih@debian.org>  Wed, 22 May 2024 00:23:40 +0200

datalad-next (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0 (skipped 1.3.0)
    - New shell context manager for interaction with (remote)
      shells and execution of commands with input/output handling
      via Python iterators.
    - Progress reporting for RIA store IO.
    - More robust and correct behavior for next-status command
      and underlying iterators.
  * Updated package descriptions.
  * Updated maintainer email.
  * Add patch for missing import in test fallback
  * Add patch that corrects execution path of git-helper in iter_gitdiff()
    It needs to run in the target repo, but ran in CWD instead.
  * Add patch addressing pytest warning for unregistered marks.
    Some/most should be registered by datalad-core.
  * Add patch to avoid helper dataclass vs test class name confusion
  * Add patch to relax some type assumptions until upstream investigation

 -- Michael Hanke <mih@debian.org>  Mon, 20 May 2024 16:14:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: datalad-next
 Priority: optional
 Section: science
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Yaroslav Halchenko <debian@oneukrainian.com>,
  Vasyl Gello <vasek.gello@gmail.com>,
- Michael Hanke <michael.hanke@gmail.com>
+ Michael Hanke <mih@debian.org>
 Build-Depends:
 # Build
  debhelper (>= 10),
@@ -14,6 +15,7 @@
  datalad (>= 0.18.4~),
  python3-all,
  python3-annexremote,
+ python3-boto3,
  python3-humanize,
  python3-more-itertools,
  python3-psutil,
@@ -26,7 +28,7 @@
  unzip,
 # Docs
  dh-sequence-sphinxdoc,
- python3-sphinx-rtd-theme
+ python3-sphinx-rtd-theme,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/datalad-next
@@ -40,7 +42,7 @@
  python3-requests,
  python3-requests-toolbelt,
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
 Description: DataLad extension for new features and improved user experience
  This extension provides feature additions and updates for DataLad
  (http://datalad.org). Unlike other more topical extensions, the provided
@@ -61,4 +63,15 @@
   - Git remote helper to fetch/push from/to any place accessible via a
     git-annex special remote
  .
+ Moreover, this packages provides utilities to facilitate DataLad-based
+ development efforts:
+ .
+  - framework for uniform command parameter validation
+  - improved base class and utilities for git-annex special remote
+    implementations
+  - reusable pytest fixtures for common test scenarios
+  - iter_subproc() helper for communication with subprocesses
+    via input/output iterables
+  - shell context manager for interaction with (remote) shells
+ .
  This package contains the Python module and the documentation.

=== debian/tests/control ===
# can the module be imported without any fuzz
Test-Command: set -e ; export GIT_AUTHOR_NAME=debian; export GIT_AUTHOR_EMAIL=debian@datalad.org; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import datalad_next; print(datalad_next)" ; done
Depends: python3-all, python3-datalad-next, 
Restrictions: superficial, skip-not-installable
Features: test-name=plain-import

# do all datalad patches apply cleanly
Test-Command: set -e ; export GIT_AUTHOR_NAME=debian; export GIT_AUTHOR_EMAIL=debian@datalad.org; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import datalad_next.patches.enabled" ; done
Depends: python3-all, datalad, python3-datalad-next, 
Restrictions: superficial, skip-not-installable
Features: test-name=apply-datalad-patches

# does datalad report the extension module to be known
Test-Command: set -e ; export GIT_AUTHOR_NAME=debian; export GIT_AUTHOR_EMAIL=debian@datalad.org; test "$(datalad -f '{infos[extensions][next][module]}' wtf -S extensions)" = "datalad_next"
Depends: datalad, python3-datalad-next, 
Restrictions: superficial, skip-not-installable
Features: test-name=extension-registered

# run full test battery (minus tests that need external resources)
# we run the tests in AUTOPKGTEST_TMP while pointing pytest to the root of
# the extracted source package for test discovery, to avoid accidental
# imports from the source tree
Test-Command: set -e ; export GIT_AUTHOR_NAME=debian; export GIT_AUTHOR_EMAIL=debian@datalad.org; export DATALAD_TESTS_NONETWORK=1; SRCDIR=$(pwd); for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -m pytest -s -v "${SRCDIR}/datalad_next" ; done
Depends: python3-all, datalad, python3-datalad-next, python3-pytest, python3-webdavclient, python3-psutil, unzip, @builddeps@
Restrictions: allow-stderr, skip-not-installable
Features: test-name=nonetwork-testsuite

## datalad-next 1.5.0

=== debian/changelog ===
datalad-next (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-pytest. Closes: #1116725.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 12:10:00 +0200

datalad-next (1.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Michael Hanke ]
  * Add python3-boto3 as a test-dependency.

  [ Colin Watson ]
  * New upstream release.
  * test: fix test_tree_with_broken_symlinks on Python 3.13 (closes:
    #1088038).
  * Build-depend on python3-boto3 (closes: #1080969, LP: #2079776).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Dec 2024 00:14:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: datalad-next
 Priority: optional
 Section: science
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Yaroslav Halchenko <debian@oneukrainian.com>,
  Vasyl Gello <vasek.gello@gmail.com>,
@@ -19,18 +18,17 @@
  python3-humanize,
  python3-more-itertools,
  python3-psutil,
+ python3-pytest,
  python3-requests,
  python3-requests-toolbelt,
  python3-setuptools,
 # Testing
  python3-webdavclient <!nocheck>,
- python3-pytest <!nocheck>,
  unzip,
 # Docs
  dh-sequence-sphinxdoc,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/datalad-next
 Vcs-Git: https://salsa.debian.org/python-team/packages/datalad-next.git -b debian/sid
 Homepage: https://datalad-next.rtfd.org

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=datalad_next

# this instructs the test suite to skip any tests that require remote
# resources
export DATALAD_TESTS_NONETWORK = 1

PY3VERSIONS=$(shell py3versions -vr)

# This is not needed in debhelper 12+ but we are targeting 10
TESTIT = 1
ifneq (,$(filter nocheck,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  TESTIT := 0
endif

ifneq (,$(filter nocheck,$(subst $(COMMA), ,$(DEB_BUILD_PROFILES))))
  TESTIT := 0
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

clean::
	dh_clean
	$(MAKE) PYTHON=python3 clean
	rm -rf $(CURDIR)/.pybuild
	rm -rf $(CURDIR)/.pytest_cache
	rm -rf $(CURDIR)/debian/install-for-tests

override_dh_auto_test:
ifeq ($(TESTIT),1)
	# Install special testing directory
	dh_auto_install --destdir $(CURDIR)/debian/install-for-tests
	# Perform the tests for any support python version.
	# This requires a particular environment:
	# - (PYTHON)PATH: we need the CLI entrypoint to be available
	# - HOME: tests require a a defined home (mostly) for accessing
	#   configuration, and placing things like sockets
	set -e && \
	  for v in $(PY3VERSIONS); do \
	    distdir=$(CURDIR)/debian/install-for-tests/usr/lib/python$$v/dist-packages; \
		PATH=$(CURDIR)/debian/install-for-tests/usr/bin:$$PATH \
		PYTHONPATH=$$distdir:$$PYTHONPATH \
		HOME=$(CURDIR)/.pybuild \
		python$$v -m pytest -s -v $$distdir/datalad_next; \
	  done
endif

override_dh_auto_install:
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/source/ \
		debian/tmp/usr/share/doc/python3-datalad-next/html/
	dh_auto_install

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
      compression=gz, \
      dversionmangle=auto" \
https://github.com/datalad/datalad-next \
refs/tags/@ANY_VERSION@ \
debian
